org.appng.appngizer.model

## Class Permission

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Permission
      - - org.appng.appngizer.model.Permission

- All Implemented Interfaces:
    UriAware

      public class Permission
      extends Permission
      implements UriAware

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.model.xml.Permission

      `application, description`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Permission()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permission` | `fromDomain(Permission permImpl)`
    `static PermissionImpl` | `toDomain(Permission p)`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Permission

      `getApplication, getDescription, setApplication, setDescription`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.appngizer.model.UriAware

      `addLink, applyUriComponents, encode, getLinks, getSelf, setLinks, setSelf`

- - ### Constructor Detail

    - #### Permission

          public Permission()

  - ### Method Detail

    - #### toDomain

          public static PermissionImpl toDomain(Permission p)

    - #### fromDomain

          public static Permission fromDomain(Permission permImpl)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.